import 'package:flutter/material.dart';


class MockPaymentProvider with ChangeNotifier {
  double _amount = 10.0;
  bool _payerCoversFee = true;

  double get amount => _amount;
  bool get payerCoversFee => _payerCoversFee;

  double get fee => _amount * 0.05;
  double get total => payerCoversFee ? (_amount + fee) : _amount;
  double get recipientGets => payerCoversFee ? _amount : (_amount - fee);

  void setAmount(double value) {
    _amount = value;
    notifyListeners();
  }

  void setPayerCoversFee(bool value) {
    _payerCoversFee = value;
    notifyListeners();
  }
}